# ----------------------------------------------------
# solar-insufficient-solar-irradiation--uk.yml
# yml configuration file to create GPKG vector file 
# of areas with insufficient solar irradiation for solar farms
# ----------------------------------------------------

# Link to this GitHub code repository 
# This can be used to host yml files on an open data server and automatically install required library just-in-time
codebase:
  https://github.com/opensiteenergy/opengeotiff.git

# Link to Solargis 1km resolution solar irradiation GeoTIFF
# https://solargis.com/resources/free-maps-and-gis-data?locality=united-kingdom
# Solar resource map © 2021 Solargis [https://solargis.com]
source:
  https://cms.solargis.com/file?url=download/United%20Kingdom/United-Kingdom_GISdata_LTAym_YearlyMonthlyTotals_GlobalSolarAtlas-v2_GEOTIFF.zip&bucket=globalsolaratlas.info#GTI.tif

# Directory where downloaded tiles and temporary data are stored
cache_dir:
  cache/opengeotiff

# External URL or path to a geometry file used to crop the output to a specific shape
clipping:
  https://github.com/open-wind/openwindenergy/raw/refs/heads/main/overall-clipping.gpkg

# The exact name and extension of the final file generated
output:
  solar-insufficient-solar-irradiation--uk.gpkg

# Filters the final result values
# We only want to select points with insufficient irradiation which is typically 1000 kWh/m2/year
mask:
  # Minimum kWh/m2/year
  min: 
    0
  
  # Maximum kWh/m2/year
  max: 
    1000
